
namespace Core.Entities
{
	public class EventOccurrence
	{
		public string Name { get; set; }
		public string Time { get; set; }
		public string Date { get; set; }
		public DateTime StartTime { get; set; }
		public DateTime? EndTime { get; set; }
		public string Location { get; set; }

		public bool SignupSubmitPickup =>
			Name.Contains("Sign-up") ||
			Name.Contains("Submit") ||
			Name.Contains("Submission") ||
			Name.Contains("Pick-up");
	}
}
